%global		major_version	3.10.0
%global		minor_version	957.10.1

Name:		kmod-megaraid_mbox
Version:	%{major_version}
Release:	%{minor_version}.3.ndias%{?dist}
Summary:	MegaRAID device driver

Group:		System Environment/Kernel
License:	GPLv2+
URL:		http://www.kernel.org/
Source0:	linux-%{major_version}-%{minor_version}%{?dist}.tar.xz
Source1:	kmod-megaraid_mbox-config
Source2:	Module.symvers

BuildRequires:	elfutils-libelf-devel

Provides:	kernel-modules = %{major_version}-%{minor_version}%{?dist}
Provides:	megaraid_mbox-kmod = %{major_version}-%{minor_version}%{?dist}
Requires:	kernel = %{major_version}-%{minor_version}%{?dist}
Requires:	megaraid_mbox-kmod >= %{major_version}-%{minor_version}%{?dist}
Requires(post):		/sbin/depmod
Requires(postun):	/sbin/depmod

%description
 * List of supported controllers
 *
 * OEM  Product Name                    VID     DID     SSVID   SSID
 * ---  ------------                    ---     ---     ----    ----
 * Dell PERC3/QC                        101E    1960    1028    0471
 * Dell PERC3/DC                        101E    1960    1028    0493
 * Dell PERC3/SC                        101E    1960    1028    0475
 * Dell PERC3/Di                        1028    1960    1028    0123
 * Dell PERC4/SC                        1000    1960    1028    0520
 * Dell PERC4/DC                        1000    1960    1028    0518
 * Dell PERC4/QC                        1000    0407    1028    0531
 * Dell PERC4/Di                        1028    000F    1028    014A
 * Dell PERC 4e/Si                      1028    0013    1028    016c
 * Dell PERC 4e/Di                      1028    0013    1028    016d
 * Dell PERC 4e/Di                      1028    0013    1028    016e
 * Dell PERC 4e/Di                      1028    0013    1028    016f
 * Dell PERC 4e/Di                      1028    0013    1028    0170
 * Dell PERC 4e/DC                      1000    0408    1028    0002
 * Dell PERC 4e/SC                      1000    0408    1028    0001
 *
 *
 * LSI MegaRAID SCSI 320-0              1000    1960    1000    A520
 * LSI MegaRAID SCSI 320-1              1000    1960    1000    0520
 * LSI MegaRAID SCSI 320-2              1000    1960    1000    0518
 * LSI MegaRAID SCSI 320-0X             1000    0407    1000    0530
 * LSI MegaRAID SCSI 320-2X             1000    0407    1000    0532
 * LSI MegaRAID SCSI 320-4X             1000    0407    1000    0531
 * LSI MegaRAID SCSI 320-1E             1000    0408    1000    0001
 * LSI MegaRAID SCSI 320-2E             1000    0408    1000    0002
 * LSI MegaRAID SATA 150-4              1000    1960    1000    4523
 * LSI MegaRAID SATA 150-6              1000    1960    1000    0523
 * LSI MegaRAID SATA 300-4X             1000    0409    1000    3004
 * LSI MegaRAID SATA 300-8X             1000    0409    1000    3008
 *
 * INTEL RAID Controller SRCU42X        1000    0407    8086    0532
 * INTEL RAID Controller SRCS16         1000    1960    8086    0523
 * INTEL RAID Controller SRCU42E        1000    0408    8086    0002
 * INTEL RAID Controller SRCZCRX        1000    0407    8086    0530
 * INTEL RAID Controller SRCS28X        1000    0409    8086    3008
 * INTEL RAID Controller SROMBU42E      1000    0408    8086    3431
 * INTEL RAID Controller SROMBU42E      1000    0408    8086    3499
 * INTEL RAID Controller SRCU51L        1000    1960    8086    0520
 *
 * FSC  MegaRAID PCI Express ROMB       1000    0408    1734    1065
 *
 * ACER MegaRAID ROMB-2E                1000    0408    1025    004D
 *
 * NEC  MegaRAID PCI Express ROMB       1000    0408    1033    8287


%prep
%setup -q -n linux-%{major_version}-%{minor_version}%{?dist}


%build
cp %{SOURCE1} .config
cp %{SOURCE2} .

#make oldconfig     
make prepare
make modules_prepare
make M=drivers/scsi/megaraid

%install
mkdir -p %{buildroot}/lib/modules/%{major_version}-%{minor_version}%{?dist}.%{_arch}/kernel/drivers/scsi/megaraid/
install -Dpm 644 drivers/scsi/megaraid/megaraid_mbox.ko %{buildroot}/lib/modules/%{major_version}-%{minor_version}%{?dist}.%{_arch}/kernel/drivers/scsi/megaraid/
install -Dpm 644 drivers/scsi/megaraid/megaraid_mm.ko %{buildroot}/lib/modules/%{major_version}-%{minor_version}%{?dist}.%{_arch}/kernel/drivers/scsi/megaraid/

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%files
%doc

/lib/modules/%{major_version}-%{minor_version}%{?dist}.%{_arch}/kernel/drivers/scsi/megaraid/megaraid_mbox.ko
/lib/modules/%{major_version}-%{minor_version}%{?dist}.%{_arch}/kernel/drivers/scsi/megaraid/megaraid_mm.ko

%changelog
* Tue Mar 19 2019 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.0-957.10.1.el7.ndias
- Kernel 3.10.0-957.10.1

* Sat Apr 7 2018 Nuno Dias <Nuno.Dias@gmail.com> - 2.20.5.1-1.ndias.el7.centos
- Kernel 3.10.0-693.21.1.el7

* Thu Jun 22 2017 Nuno Dias <Nuno.Dias@gmail.com> - 2.20.5.1-1.ndias.el7.centos
- Kernel 3.10.0-514.21.1.el7.x86_64
